 *
 {
  margin:0px;
  padding: 0px;
  box-sizing: border-box;
 }
 .grand_div{ width: 100vw; height:auto;
padding-bottom: 50px;}
.parent{ width: 80vw; height: auto; margin: auto;
  display: flex;  justify-content: space-around;
  flex-wrap: wrap; transition: all 0.2 linear;
}
@media (max-width:700px){
  .div2,.div3,.div4{
    height:auto; 
    width:700;
  max-width:500px;
  justify-content: space-around;
  }
}
@media (max-width:700px){
  .div2,.div3,.div4{
    height:auto; 
    width:700;
  max-width:420px;
  justify-content: space-around;
  }
  .box2{
    max-width:450px;
  }
  .projectsmall{
    height: 50px;
    max-width:440px;
  }
  .project-inner{
    height:auto;
    max-width:425px;
  }
  
  }
@media (max-width:600px){
  
.div4{
  height:auto; 
  width:700;
max-width:380px;
justify-content: space-around;
}
.div3{
  min-height:560px;
  max-width:380px;
  justify-content: space-around;
}
.div2{
  min-height:170px;
  max-width:380px;
  justify-content: space-around;
}

.box2{
  min-height:860px;
  max-width:450px;
}
.projectsmall{
  min-height: 150px;
  max-width:390px;
}
.project-inner{
  height:auto;
  max-width:380px;
}
.div22{
  min-height:200px;
  max-width:400px;
}
.about-letter{
  min-height: 120px;
  max-width:360px;
  line-height:17px;
  text-align: justify;
}
footer{
  font-size:20px;
}
}
@media (max-width:500px){
  .grand_parent{height:auto;  }
  .parent{height:auto; 
  width:auto;max-width: 310px;
}
#box {
max-height:1000px; 
max-width:270px;
display: flex;  justify-content: space-around;
flex-wrap: wrap; transition: all 0.2 linear;
 }
  .profile,.box11,.box12{
    max-width:270px;
  }
  .btn2, .pi{
    max-width:190px;
  }
    
  .box2 {
    min-height:1080px; 
  width:700;
max-width:270px;
justify-content: space-around;
 }
 .div3{
  min-height:710px; 
  width:700;
max-width:230px;
justify-content: space-around; }
.div4{
  height:auto; 
  width:700;
max-width:250px;
justify-content: space-around; }
.div2{
  min-height:220px;
max-width:230px;
justify-content: space-around;
}
.divsmall{
margin:auto;
max-width:185px;
}
.resume{
  height: 50px;
  max-width: 120px;
}
.div41{
  height:45px;
  max-width:20px;
  display:inline-block;  
  justify-content: space-around;
flex-wrap: wrap; 
transition: all 0 linear;
}
.div42{
  height:45px;
  max-width:100px;
  margin-left:-20px;
}
.projectsmall{
 min-height:200px;
  max-width: 250px;
}
.projectsmall1{
  margin-left:-10px;
}
.down{
  height:10px;
  max-width:60px;
  font-size:10px;
  margin-left:-10px;
  display:inline-block;  
  justify-content: space-around;
flex-wrap: wrap; 
transition: all 0 linear;

}
.project-inner{
  height:auto;
  max-width:235px;
}
.about-letter{
  min-height:100px;
  max-width:220px;
  line-height:17px;
  text-align: justify;

}
.div22{
  min-height:250px;
  max-width:450px;
}
footer{
  min-height:10px;
  max-width:100%;
  font-size:10px;
}
}
html { 
  background: url('5243028.jpg') no-repeat center center fixed; 
  height:100vh;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
} 
     
#box{
margin-top: 100px;
margin-left:50px;
margin-right:50px;
background: url('back12.jpg');
background-repeat: no-repeat;
background-size:cover;
border-radius: 20px;
box-sizing:border-box;
padding-top:20px;
padding-bottom:80px;
padding-left:20px;
position:relative;
height:800px;
flex:1 1 30px;

}
.box11
{
  padding-left:10px;
  margin:auto;
  display: flex;  justify-content: space-around;
  flex-wrap: wrap; transition: all 0.2 linear;
  height:300px;
  width:400px;
  box-sizing: border-box;
 }
.box12
{
  padding-left:10px;
  margin:auto;
  display: flex;  justify-content: space-around;
  flex-wrap: wrap; transition: all 0.2 linear;
  height:370px;
  width:400px;
  box-sizing: border-box;
 }
  .img1{
    height:100px;
    width: 100px;
    border-radius:50% ;
    margin-left:50px;
    margin-right:80px;
  
  }
  .img1:hover{
    height: 110px;
    width: 110px;
    border-radius: 50%;
    border:3px double #281592 ;
    opacity: 1;
  }

 .text1{
  height:30px;
  width:200px;
  font-size: 25px;
  color: #252570;
  font-weight: bold;
  text-align: center;
  margin-left:30px;
  margin-right: 50px;
  position: relative;
  /*animation: my 5s infinite;*/
 } 
 /*@keyframes my{
  0% {left:0px;}
  25% {top:px; right:60px; }
 }*/
 .text2{
  height: 20px;
  width:300px;
  font-size: 15px;
  color: #252570;
  font-weight: 10px;
  margin-right:30px;
  text-align: center;
 } 
 
 .icon{
  height:45px;
  width:200px;
  padding-top:10px;
 }
.fa {
  padding:10px;
  font-size:20px;
  height:40px;
  width: 40px;
  border-radius: 50%;
  text-align: center;
  text-decoration: none;
  margin:1px 4px;
  float: left;
}
.img11{
    height:40px;
    width: 40px;
    border-radius:50% ;
    float: left;
    margin-left:4px;
    margin-right:4px;
}
.img11:hover{
  opacity:0.7;
  font-size: 20px;
  border:2px solid white;
}
.shareicon{
  padding:15px;
  font-size:35px;
  height:50px;
  width: 50px;
  border-radius: 50%;
  text-align: center;
  text-decoration: none;
  margin:20px 8px;
  float: left;
}
.fa:hover {
    opacity: 0.7;
    font-size:23px;
}
.fa-twitter {
  background: #55ACEE;
  color: white;
}
.fa-linkedin {
  background: #007bb5;
  color: white;
}
.profile{
  height:50px;
  width:450px;
  margin-top:20px;
}
.btn1{
  height:50px;
  width:50px;
  background-color: aliceblue;
  border-radius: 30px 0px 0px 30px;
  float:left;
  box-shadow: 2px 2px 2px rgb(0 0 0/0.1) ;
}
.img2{
    height:40px;
    width: 40px;
    border-radius:50% ;
    margin:5px 3px 3px 5px;
  }
.img2:hover{
  opacity:0.8;
  background-color: #281592;
  border-radius:50%;
  color: #281592;
  font-size: 20px;
  border:2px dotted;

}
.btn2{
  height: 50px;
  width:300px;
  background-color: rgb(240, 243, 247);
  border-radius: 0px 30px 30px 0px;
  float:left;
  text-align: center;
  box-shadow: 2px 2px 2px rgb(0 0 0/0.1) ;
}
.pi{
  color: #252570;
  font-size: 15px;
  font-family: 'Times New Roman', Times, serif;
  height: 50px;
  width:300px;
  background-color: aliceblue;
  border-radius: 0px 30px 30px 0px;
  text-align: center;
  border: none;
}
.pi:hover{
  opacity:0.8;
  background-color: #3472cf;
  color: #0c0c0c;
  font-size: 20px;
  border:1px solid white;
}
.main_box{
    width: 2em;
    height: 2em;
    position:fixed;
    right:50px;
    left:150px;
    top:30px;
    
}
#share_button{
    display: flex;
    
}
span{
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}
#an{
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}
span{
    width: 1.6em;
    height: 1.6em;
    top: 45%;
    left:35%;
    transform: translate(-50%,-50%);
    background-color: #eee;
    color: #333;
    font-size: 2em;
    z-index: 1;
    cursor: pointer;
    /* border-radius: 30%; */
}
span:hover{
  opacity:1.5;
  background-color: hsl(249, 30%, 95%);
  height:50px;
  width:50px;
}
.sm_list{
    width: 3em;
    height: 3em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
.sm_list a{
    width: 1.6em;
    height: 1.6em;
    border-radius: 50%;
    text-decoration: none;
    color: #fff;
    transition: all .3s;
    font-size: 1.5em;
}
.ma{
  width: 1.9em;
  height: 1.9em;
  border-radius: 50%;
  text-decoration: none;
  color:white;
  transition: all .3s;
  font-size:23px;
}
#share_button:checked ~ .sm_list a:nth-child(1){
    background-color: #3B5998;
    transition-delay: 0.2s;
    transform: translateX(-2em);
}
#share_button:checked ~ .sm_list a:nth-child(2){
    background-color: #dd2553;
    transition-delay: 0.2s;
    transform: translateX(2em);
}
#share_button:checked ~ .sm_list a:nth-child(3){
    background-color: #000f94;
    transition-delay: 0.3s;
    transform: translateX(3.7em);
}
#share_button:checked ~ .sm_list a:nth-child(4){
    background-color: #3973cf;
    transition-delay: 0.3s;
    transform: translateX(-3.7em);
} 
#share_button:checked ~ .sm_list a:nth-child(5){
    background-color: rgb(10, 63, 0);
    transition-delay: 0.4s;
    transform: translateX(5.5em);
} 
#share_button:checked ~ .sm_list a:nth-child(6){
    background-color:red;
    transition-delay: 0.4s;
    transform: translateX(-5.5em);
} 
/* Hovering Effects */
#share_button:checked ~ .sm_list a:nth-child(1):hover{
    background-color: #ffffff;
    color: #3B5998;
    /* transition-delay: 0.2s;
    transform: translateX(-6em); */
}
 
#share_button:checked ~ .sm_list a:nth-child(2):hover{
    color: #dd2553;
    background-color: #fff;
}
 
#share_button:checked ~ .sm_list a:nth-child(3):hover{
    color: #000f94;
    background-color: #fff;
}
 
#share_button:checked ~ .sm_list a:nth-child(4):hover{
    color: #1077ec;
    background-color: #fff;
}
 
#share_button:checked ~ .sm_list a:nth-child(5):hover{
    color: rgb(10, 63, 0);
    background-color: #fff;
}
 
#share_button:checked ~ .sm_list a:nth-child(6):hover{
    color: red;
    
    background-image: linear-gradient(180deg,rgb(224, 46, 46),rgb(233, 229, 31));
}
 
span:visited{
    background-color: #000f94;
}

.box2{
  margin-top: 100px;
  margin-left:10px;
  margin-right:10px;
  margin-bottom:50px;
  background: url('back12.jpg');
  background-repeat: no-repeat;
  background-size:cover;
  border-radius: 20px;
  box-sizing:border-box;
  padding-top:30px;
  height:750px;
  flex:1 1 200px;
  }
  .div2{ 
    margin: auto;
    display: flex; 
   justify-content: space-around;
    flex-wrap: wrap;
     transition: all 0.2 linear;
    height:150px;
    width:470px;
    box-sizing: border-box;
   background-color: white;
   border-radius: 5px;
   border: 5px solid #E8A0C8;
  }
  .div22{
    height:800px;
    width:480px;
  }
  .projectsmall{
    height:115px;width:485px;background:white;margin-top:20px;border:4px solid #5393A9;border-radius:5px;
  }
  .projectsmall1{
    height:35px;width:180px;background:white;margin-top:-8px;margin-left:11px;text-align: center;font-weight:bold; color: #281592;
  }
  .divsmall{
    height:40px;width:200px;margin-top: -15px;
    margin-left: 20px;border-radius: 3px;background: #ACEADB;border: 1.5px solid rgb(185, 36, 36);
  }

/* Typing Letter Css  */
.conDiv{
display: inline-block;
}
.auto-type{
  font-size:1em;
  font-family: monospace;
  border-right: 5px solid;
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  animation: 
      typing 5s steps(15),
      cursor .4s step-end infinite alternate;
}

@keyframes cursor {
  50% { border-color: transparent;}
}

@keyframes typing{
  from {width: 0;}
}


.about{
  height:70px;
  width:220px ;
  margin-left:5px;
  margin-top: -15px;
}
.project{
  height:55px;
  width:200px ;
  margin-left:0px;
  margin-top: -15px;
}
.div3{
  margin:auto;
  margin-top:25px;
  display: flex; 
 justify-content: space-around;
  flex-wrap: wrap;
   transition: all 0.2 linear;
  height:450px;
  width:470px;
  box-sizing: border-box;
 background-color: white;
 border-radius: 5px;
 border: 5px solid #E8A0C8;
}
.div4{
  margin: auto;
  margin-top: 10px;
  display: flex; 
 justify-content: space-around;
  flex-wrap: wrap;
   transition: all 0.2 linear;
  height:50px;
  width:470px;
  box-sizing: border-box;
 background-color: #f8bddd;
 border-radius: 5px;
 border: 3px solid #5393A9;
}
.div41{
  height:45px;
  width:50px;
}
.div42{
  height:45px;
  width:200px;
}
.down{
  height:50px;
  width:30px;
  margin-top:7px;
  font-size:20px;
  color: #252570;
  opacity: 0.8;
}
.project-inner{
  width:470px;height:75px;
  font-size:1rem;
}
.about-letter{
  width:450px;
  margin:7px;
  font-size:15px;
  padding:3px;
  text-align: justify;
  color: #000f94;

}
.resume{
  height:50px;
  width:220px;
}
#link-img{
  height:20px;
  width:30px;
  margin-left:3px;
}
.desc{
  color: #000f94;
}
footer{
  width:100%;
  height:30px;
  background: #0c0c0c;
  position:fixed;
  bottom: 0px;
  color: white;
  text-align: center;
  font-size:15px;
}
